# Package cascading.flow.planner

Interface Summary
Interface | Description
--- | ---
DeclaresResults |
ScopedElement |

Class Summary
Class | Description
--- | ---
BaseFlowNode |
BaseFlowNodeFactory |
BaseFlowStep<Config> | Class FlowStep is an internal representation of a given Job to be executed on a remote cluster.
BaseFlowStepFactory<Config> |
FlowPlanner<F extends BaseFlow,Config> | Class FlowPlanner is the base class for all planner implementations.
FlowStepJob<Config> |
PlannerContext |
PlannerInfo |
PlatformInfo |
Scope | Class Scope is an internal representation of the linkages between operations.

Enum Summary
Enum | Description
--- | ---
Scope.Kind | Enum Kind

Exception Summary
Exception | Description
--- | ---
ElementGraphException | Class ElementGraphException is thrown during rendering of a pipe assembly to the Cascading internal "graph" representation.
PlannerException | Class PlannerException is thrown when a job planner fails.